PLplot: plcont.c File Reference

PLplot 5.15.0

Macros | Functions | Variables
plcont.c File Reference
`#include "plplotP.h"`

Go to the source code of this file.

## Macros
#define | FORM_LEN 10
#define | TMPSTRING_LEN 15

## Functions
static void | plcntr (PLF2EVAL_callback plf2eval, PLPointer plf2eval_data, PLINT nx, PLINT ny, PLINT kx, PLINT lx, PLINT ky, PLINT ly, PLFLT flev, PLINT **ipts, PLTRANSFORM_callback pltr, PLPointer pltr_data)
static void | pldrawcn (PLF2EVAL_callback plf2eval, PLPointer plf2eval_data, PLINT nx, PLINT ny, PLINT kx, PLINT lx, PLINT ky, PLINT ly, PLFLT flev, char *flabel, PLINT kcol, PLINT krow, PLFLT lastx, PLFLT lasty, PLINT startedge, PLINT **ipts, PLFLT *distance, PLINT *lastindex, PLTRANSFORM_callback pltr, PLPointer pltr_data)
static void | plfloatlabel (PLFLT value, char *string, PLINT len)
static PLFLT | plP_pcwcx (PLINT x)
static PLFLT | plP_pcwcy (PLINT y)
static void | pl_drawcontlabel (PLFLT tpx, PLFLT tpy, char *flabel, PLFLT *distance, PLINT *lastindex)
static CONT_LINE * | alloc_line (void)
static CONT_LEVEL * | alloc_level (PLFLT level)
static void | realloc_line (CONT_LINE *line)
static void | cont_new_store (PLFLT level)
void | cont_clean_store (CONT_LEVEL *ct)
static void | cont_xy_store (PLFLT xx, PLFLT yy)
static void | cont_mv_store (PLFLT xx, PLFLT yy)
void | c_pl_setcontlabelparam (PLFLT offset, PLFLT size, PLFLT spacing, PLINT active)
void | c_pl_setcontlabelformat (PLINT lexp, PLINT sigdig)
PLFLT | plf2eval1 (PLINT ix, PLINT iy, PLPointer plf2eval_data)
PLFLT | plf2eval2 (PLINT ix, PLINT iy, PLPointer plf2eval_data)
PLFLT | plf2eval (PLINT ix, PLINT iy, PLPointer plf2eval_data)
PLFLT | plf2evalr (PLINT ix, PLINT iy, PLPointer plf2eval_data)
void | cont_store (PLFLT_MATRIX f, PLINT nx, PLINT ny, PLINT kx, PLINT lx, PLINT ky, PLINT ly, PLFLT_VECTOR clevel, PLINT nlevel, PLTRANSFORM_callback pltr, PLPointer pltr_data, CONT_LEVEL **contour)
void | c_plcont (PLFLT_MATRIX f, PLINT nx, PLINT ny, PLINT kx, PLINT lx, PLINT ky, PLINT ly, PLFLT_VECTOR clevel, PLINT nlevel, PLTRANSFORM_callback pltr, PLPointer pltr_data)
void | plfcont (PLF2EVAL_callback f2eval, PLPointer f2eval_data, PLINT nx, PLINT ny, PLINT kx, PLINT lx, PLINT ky, PLINT ly, PLFLT_VECTOR clevel, PLINT nlevel, PLTRANSFORM_callback pltr, PLPointer pltr_data)
void | pltr0 (PLFLT x, PLFLT y, PLFLT *tx, PLFLT *ty, PLPointer PL_UNUSED(pltr_data))
void | pltr1 (PLFLT x, PLFLT y, PLFLT *tx, PLFLT *ty, PLPointer pltr_data)
void | pltr2 (PLFLT x, PLFLT y, PLFLT *tx, PLFLT *ty, PLPointer pltr_data)
void | pltr2p (PLFLT x, PLFLT y, PLFLT *tx, PLFLT *ty, PLPointer pltr_data)
void | pltr2f (PLFLT x, PLFLT y, PLFLT *tx, PLFLT *ty, void *pltr_data)

## Variables
static int | error
static PLFLT | contlabel_size = 0.3
static PLFLT | contlabel_offset = 0.006
static PLFLT | contlabel_space = 0.1
static PLINT | contlabel_active = 0
static PLINT | limexp = 4
static PLINT | sigprec = 2
static CONT_LEVEL * | startlev = NULL
static CONT_LEVEL * | currlev
static CONT_LINE * | currline
static int | cont3d = 0

## Macro Definition Documentation

## ◆ FORM_LEN

#define FORM_LEN 10

## ◆ TMPSTRING_LEN

#define TMPSTRING_LEN 15

## Function Documentation

## ◆ alloc_level()

static CONT_LEVEL* alloc_level | ( | PLFLT | level | ) |
| static

Definition at line 126 of file plcont.c.

## ◆ alloc_line()

static CONT_LINE* alloc_line | ( | void |  | ) |
| static

Definition at line 102 of file plcont.c.

## ◆ c_pl_setcontlabelformat()

void c_pl_setcontlabelformat | ( | PLINT | lexp,
|  | PLINT | sigdig
| ) |  |

Definition at line 256 of file plcont.c.

## ◆ c_pl_setcontlabelparam()

void c_pl_setcontlabelparam | ( | PLFLT | offset,
|  | PLFLT | size,
|  | PLFLT | spacing,
|  | PLINT | active
| ) |  |

Definition at line 247 of file plcont.c.

## ◆ c_plcont()

void c_plcont | ( | PLFLT_MATRIX | f,
|  | PLINT | nx,
|  | PLINT | ny,
|  | PLINT | kx,
|  | PLINT | lx,
|  | PLINT | ky,
|  | PLINT | ly,
|  | PLFLT_VECTOR | clevel,
|  | PLINT | nlevel,
|  | PLTRANSFORM_callback | pltr,
|  | PLPointer | pltr_data
| ) |  |

Definition at line 508 of file plcont.c.

## ◆ cont_clean_store()

void cont_clean_store | ( | CONT_LEVEL * | ct | ) |

Definition at line 173 of file plcont.c.

## ◆ cont_mv_store()

static void cont_mv_store | ( | PLFLT | xx,
|  | PLFLT | yy
| ) |  |
| static

Definition at line 227 of file plcont.c.

## ◆ cont_new_store()

static void cont_new_store | ( | PLFLT | level | ) |
| static

Definition at line 154 of file plcont.c.

## ◆ cont_store()

void cont_store | ( | PLFLT_MATRIX | f,
|  | PLINT | nx,
|  | PLINT | ny,
|  | PLINT | kx,
|  | PLINT | lx,
|  | PLINT | ky,
|  | PLINT | ly,
|  | PLFLT_VECTOR | clevel,
|  | PLINT | nlevel,
|  | PLTRANSFORM_callback | pltr,
|  | PLPointer | pltr_data,
|  | CONT_LEVEL ** | contour
| ) |  |

Definition at line 486 of file plcont.c.

## ◆ cont_xy_store()

static void cont_xy_store | ( | PLFLT | xx,
|  | PLFLT | yy
| ) |  |
| static

Definition at line 209 of file plcont.c.

## ◆ pl_drawcontlabel()

static void pl_drawcontlabel | ( | PLFLT | tpx,
|  | PLFLT | tpy,
|  | char * | flabel,
|  | PLFLT * | distance,
|  | PLINT * | lastindex
| ) |  |
| static

Definition at line 262 of file plcont.c.

## ◆ plcntr()

static void plcntr | ( | PLF2EVAL_callback | plf2eval,
|  | PLPointer | plf2eval_data,
|  | PLINT | nx,
|  | PLINT | ny,
|  | PLINT | kx,
|  | PLINT | lx,
|  | PLINT | ky,
|  | PLINT | ly,
|  | PLFLT | flev,
|  | PLINT ** | ipts,
|  | PLTRANSFORM_callback | pltr,
|  | PLPointer | pltr_data
| ) |  |
| static

Definition at line 602 of file plcont.c.

## ◆ pldrawcn()

static void pldrawcn | ( | PLF2EVAL_callback | plf2eval,
|  | PLPointer | plf2eval_data,
|  | PLINT | nx,
|  | PLINT | ny,
|  | PLINT | kx,
|  | PLINT | lx,
|  | PLINT | ky,
|  | PLINT | ly,
|  | PLFLT | flev,
|  | char * | flabel,
|  | PLINT | kcol,
|  | PLINT | krow,
|  | PLFLT | lastx,
|  | PLFLT | lasty,
|  | PLINT | startedge,
|  | PLINT ** | ipts,
|  | PLFLT * | distance,
|  | PLINT * | lastindex,
|  | PLTRANSFORM_callback | pltr,
|  | PLPointer | pltr_data
| ) |  |
| static

Definition at line 658 of file plcont.c.

## ◆ plf2eval()

PLFLT plf2eval | ( | PLINT | ix,
|  | PLINT | iy,
|  | PLPointer | plf2eval_data
| ) |  |

Definition at line 447 of file plcont.c.

## ◆ plf2eval1()

PLFLT plf2eval1 | ( | PLINT | ix,
|  | PLINT | iy,
|  | PLPointer | plf2eval_data
| ) |  |

Definition at line 410 of file plcont.c.

## ◆ plf2eval2()

PLFLT plf2eval2 | ( | PLINT | ix,
|  | PLINT | iy,
|  | PLPointer | plf2eval_data
| ) |  |

Definition at line 428 of file plcont.c.

## ◆ plf2evalr()

PLFLT plf2evalr | ( | PLINT | ix,
|  | PLINT | iy,
|  | PLPointer | plf2eval_data
| ) |  |

Definition at line 466 of file plcont.c.

## ◆ plfcont()

void plfcont | ( | PLF2EVAL_callback | f2eval,
|  | PLPointer | f2eval_data,
|  | PLINT | nx,
|  | PLINT | ny,
|  | PLINT | kx,
|  | PLINT | lx,
|  | PLINT | ky,
|  | PLINT | ly,
|  | PLFLT_VECTOR | clevel,
|  | PLINT | nlevel,
|  | PLTRANSFORM_callback | pltr,
|  | PLPointer | pltr_data
| ) |  |

Definition at line 535 of file plcont.c.

## ◆ plfloatlabel()

static void plfloatlabel | ( | PLFLT | value,
|  | char * | string,
|  | PLINT | len
| ) |  |
| static

Definition at line 318 of file plcont.c.

## ◆ plP_pcwcx()

static PLFLT plP_pcwcx | ( | PLINT | x | ) |
| static

Definition at line 389 of file plcont.c.

## ◆ plP_pcwcy()

static PLFLT plP_pcwcy | ( | PLINT | y | ) |
| static

Definition at line 397 of file plcont.c.

## ◆ pltr0()

void pltr0 | ( | PLFLT | x,
|  | PLFLT | y,
|  | PLFLT * | tx,
|  | PLFLT * | ty,
|  | PLPointer | PL_UNUSEDpltr_data
| ) |  |

Definition at line 858 of file plcont.c.

## ◆ pltr1()

void pltr1 | ( | PLFLT | x,
|  | PLFLT | y,
|  | PLFLT * | tx,
|  | PLFLT * | ty,
|  | PLPointer | pltr_data
| ) |  |

Definition at line 874 of file plcont.c.

## ◆ pltr2()

void pltr2 | ( | PLFLT | x,
|  | PLFLT | y,
|  | PLFLT * | tx,
|  | PLFLT * | ty,
|  | PLPointer | pltr_data
| ) |  |

Definition at line 941 of file plcont.c.

## ◆ pltr2f()

void pltr2f | ( | PLFLT | x,
|  | PLFLT | y,
|  | PLFLT * | tx,
|  | PLFLT * | ty,
|  | void * | pltr_data
| ) |  |

Definition at line 1294 of file plcont.c.

## ◆ pltr2p()

void pltr2p | ( | PLFLT | x,
|  | PLFLT | y,
|  | PLFLT * | tx,
|  | PLFLT * | ty,
|  | PLPointer | pltr_data
| ) |  |

Definition at line 1113 of file plcont.c.

## ◆ realloc_line()

static void realloc_line | ( | CONT_LINE * | line | ) |
| static

Definition at line 142 of file plcont.c.

## Variable Documentation

## ◆ cont3d

int cont3d = 0
| static

Definition at line 99 of file plcont.c.

## ◆ contlabel_active

PLINT contlabel_active = 0
| static

Definition at line 83 of file plcont.c.

## ◆ contlabel_offset

PLFLT contlabel_offset = 0.006
| static

Definition at line 75 of file plcont.c.

## ◆ contlabel_size

PLFLT contlabel_size = 0.3
| static

Definition at line 71 of file plcont.c.

## ◆ contlabel_space

PLFLT contlabel_space = 0.1
| static

Definition at line 79 of file plcont.c.

## ◆ currlev

CONT_LEVEL* currlev
| static

Definition at line 96 of file plcont.c.

## ◆ currline

CONT_LINE* currline
| static

Definition at line 97 of file plcont.c.

## ◆ error

int error
| static

Definition at line 61 of file plcont.c.

## ◆ limexp

PLINT limexp = 4
| static

Definition at line 87 of file plcont.c.

## ◆ sigprec

PLINT sigprec = 2
| static

Definition at line 91 of file plcont.c.

## ◆ startlev

CONT_LEVEL* startlev = NULL
| static

Definition at line 95 of file plcont.c.